Package ch.qos.logback.core.joran.util.beans

## Class BeanDescriptionCache

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.util.beans.BeanDescriptionCache

All Implemented Interfaces:
  `ContextAware`

    public class BeanDescriptionCache
    extends ContextAwareBase

Cache for `BeanDescription` instances. All the cache users which use the same instance of BeanDescriptionCache can profit from each others cached bean descriptions.

The cache is not thread-safe and should not be shared across configurator instances.

Author:
  urechm

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`BeanDescriptionCache​(Context context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BeanDescription` `getBeanDescription​(java.lang.Class<?> clazz)` Returned bean descriptions are hold in a cache.

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanDescriptionCache

    public BeanDescriptionCache​(Context context)

### Method Detail

#### getBeanDescription

    public BeanDescription getBeanDescription​(java.lang.Class<?> clazz)

Returned bean descriptions are hold in a cache. If the cache does not contain a description for a given class, a new bean description is created and put in the cache, before it is returned.

Parameters:
  `clazz` - to get a bean description for.
Returns:
  a bean description for the given class.